package com.jiayue.ipp.idp.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jiayue.ipp.common.data.entity.InverterInfo;
import com.jiayue.ipp.idp.mapper.InverterInfoMapper;
import com.jiayue.ipp.idp.service.InverterInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * idp_inverter_info
 *
 * @author whc
 * @date 2022-03-18 15:49:11
 */
@Service
public class InverterInfoServiceImpl extends ServiceImpl<InverterInfoMapper, InverterInfo> implements InverterInfoService {
    @Override
    public QueryWrapper<InverterInfo> getByStationCode(String stationCode) {
        QueryWrapper<InverterInfo> wrapper = new QueryWrapper<>();
        if (stationCode != null && !stationCode.equals("")) {
            wrapper.eq("station_code", stationCode);
        }
        return wrapper;
    }

    @Override
    public List<InverterInfo> findByStationCode(String stationCode) {
        QueryWrapper<InverterInfo> wrapper = new QueryWrapper<>();
        if (stationCode != null && !stationCode.equals("")) {
            wrapper.eq("station_code", stationCode);
        }
        return baseMapper.selectList(wrapper);
    }
}
